aboutsummaryrefslogtreecommitdiff
path: root/shell_only.sh
diff options
context:
space:
mode:
authorHimbeerserverDE <himbeerserverde@gmail.com>2022-04-23 22:57:39 +0200
committerHimbeerserverDE <himbeerserverde@gmail.com>2022-04-23 22:57:39 +0200
commit38edc5694baf3628778fbdb86f36645a7c4d37d5 (patch)
tree3cd49521ec82f7b9ae56af889741d2fb459ef156 /shell_only.sh
parentad485d12972b03483cc131df4128683264781f86 (diff)
Add installer scripts
Diffstat (limited to 'shell_only.sh')
-rw-r--r--shell_only.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/shell_only.sh b/shell_only.sh
new file mode 100644
index 0000000..2335937
--- /dev/null
+++ b/shell_only.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+function command_exists {
+ command -v $1 &> /dev/null
+}
+
+set -x
+
+if [ $UID -ne 0 ]; then
+ if command_exists sudo; then
+ SUDO="sudo"
+ elif command_exists doas; then
+ SUDO="doas"
+ fi
+fi
+
+if command_exists apt; then
+ $SUDO apt update
+ $SUDO apt install -y \
+ bat \
+ lolcat \
+ cowsay \
+ fortune \
+ zsh \
+ git \
+ figlet
+else
+ echo "Your distro is not supported."
+ exit 1
+fi
+
+sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)"
+
+ln -s ${PWD}/bin ~/bin
+
+mkdir -p ~/.oh-my-zsh/themes
+ln -s ${PWD}/himbeer.zsh-theme ~/.oh-my-zsh/themes/himbeer.zsh-theme
+
+mkdir -p ~/
+ln -s ${PWD}/zshrc ~/.zshrc
+
+mkdir -p ~/
+ln -s ${PWD}/wallpaper.png ~/.wallpaper